Link or unlink submission customer
curl --request PATCH \
--url https://www.carstoragesoftware.com/api/v1/marketing/forms/{id}/submissions/{submissionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/forms/{id}/submissions/{submissionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/forms/{id}/submissions/{submissionId}"
payload = { "customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"formId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"respondentEmail": "<string>",
"respondentName": "<string>",
"respondentPhone": "<string>",
"values": {},
"fieldSnapshot": [
{}
],
"metadata": {},
"submittedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Forms
Link or unlink submission customer
Requires write:forms. Body { customerId } only — link or unlink a customer on the submission (null to unlink).
PATCH
/
api
/
v1
/
marketing
/
forms
/
{id}
/
submissions
/
{submissionId}
Link or unlink submission customer
curl --request PATCH \
--url https://www.carstoragesoftware.com/api/v1/marketing/forms/{id}/submissions/{submissionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/forms/{id}/submissions/{submissionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/forms/{id}/submissions/{submissionId}"
payload = { "customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"formId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"respondentEmail": "<string>",
"respondentName": "<string>",
"respondentPhone": "<string>",
"values": {},
"fieldSnapshot": [
{}
],
"metadata": {},
"submittedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Authorizations
Team API key from Settings → Integrations. Use Authorization: Bearer <key> or x-api-key.
Body
application/json
Response
Updated.
Show child attributes
Show child attributes
Was this page helpful?
⌘I